AM261x MCU+ SDK: CANFD_Object Struct Reference

| AM261x MCU+ SDK 26.00.00 |

Data Fields
CANFD_Object Struct Reference
APIs for SOC Specific Device Drivers » APIs for CANFD

## Data Fields
CANFD_Handle | handle
| Instance handle to which this object belongs. More...
uint32_t | regBaseAddress
| Base address of the register address space to be used. More...
uint32_t | state
| CANFD driver internal state. More...
CANFD_OpenParams * | openParams
| CANFD driver init parameters. More...
uint8_t | mcanDataSize [CANFD_MAX_DLC_MAPPING]
| Data Length to DLC mapping. More...
struct CANFD_MessageObject_t * | msgObjectHandle [MCAN_MAX_MSG_OBJECTS]
| Message object handle book keeping. More...
struct CANFD_MessageObject_t * | txMapping [MCAN_MAX_TX_MSG_OBJECTS]
| Tx Mapping to message handles for transmit post processing. More...
struct CANFD_MessageObject_t * | rxMapping [MCAN_MAX_RX_MSG_OBJECTS]
| Rx Mapping to message handles for Rx processing. More...
uint32_t | errStatusInterrupts
| Number of error and status interrupts received. More...
uint32_t | interrupts
| Number of interrupts received for message Tx or Rx. More...
uint32_t | eccInterrupts
| Number of ECC interrupts received. More...
uint32_t | busOffInterrupts
| Number of Bus-Off interrupts received. More...
uint32_t | protoDataErrInterrupts
| Number of Protocol error in data phase interrupts received. More...
uint32_t | protoArbErrInterrupts
| Number of Protocol error in arbitration phase interrupts received. More...
uint8_t | txStatus [MCAN_MAX_TX_MSG_OBJECTS]
| Tx Status of the message object. More...
uint32_t | useFifoNum
| Flag to toggle the usage of FIFO 0 and FIFO 1. Valid values are 0 and 1. More...
MCAN_RxBufElement | rxBuffElem
| Buffer used to read message RAM. More...
CANFD_DmaHandle | canfdDmaHandle
| Dma driver handle. More...
CANFD_DmaChConfig | canfdDmaChCfg
| Pointer to Dma channel configuration. More...
void * | args
| Pointer to be used by application to store miscellaneous data. More...
void * | readTransferSem
SemaphoreP_Object | readTransferSemObj
void * | writeTransferSem
SemaphoreP_Object | writeTransferSemObj
void * | hwiHandle
HwiP_Object | hwiObj0
HwiP_Object | hwiObj1
MCAN_RevisionId | revId

## Field Documentation

## ◆ handle

CANFD_Handle CANFD_Object::handle

Instance handle to which this object belongs.

## ◆ regBaseAddress

uint32_t CANFD_Object::regBaseAddress

Base address of the register address space to be used.

## ◆ state

uint32_t CANFD_Object::state

CANFD driver internal state.

## ◆ openParams

CANFD_OpenParams* CANFD_Object::openParams

CANFD driver init parameters.

## ◆ mcanDataSize

uint8_t CANFD_Object::mcanDataSize[CANFD_MAX_DLC_MAPPING]

Data Length to DLC mapping.

## ◆ msgObjectHandle

struct CANFD_MessageObject_t* CANFD_Object::msgObjectHandle[MCAN_MAX_MSG_OBJECTS]

Message object handle book keeping.

## ◆ txMapping

struct CANFD_MessageObject_t* CANFD_Object::txMapping[MCAN_MAX_TX_MSG_OBJECTS]

Tx Mapping to message handles for transmit post processing.

## ◆ rxMapping

struct CANFD_MessageObject_t* CANFD_Object::rxMapping[MCAN_MAX_RX_MSG_OBJECTS]

Rx Mapping to message handles for Rx processing.

## ◆ errStatusInterrupts

uint32_t CANFD_Object::errStatusInterrupts

Number of error and status interrupts received.

## ◆ interrupts

uint32_t CANFD_Object::interrupts

Number of interrupts received for message Tx or Rx.

## ◆ eccInterrupts

uint32_t CANFD_Object::eccInterrupts

Number of ECC interrupts received.

## ◆ busOffInterrupts

uint32_t CANFD_Object::busOffInterrupts

Number of Bus-Off interrupts received.

## ◆ protoDataErrInterrupts

uint32_t CANFD_Object::protoDataErrInterrupts

Number of Protocol error in data phase interrupts received.

## ◆ protoArbErrInterrupts

uint32_t CANFD_Object::protoArbErrInterrupts

Number of Protocol error in arbitration phase interrupts received.

## ◆ txStatus

uint8_t CANFD_Object::txStatus[MCAN_MAX_TX_MSG_OBJECTS]

Tx Status of the message object.

## ◆ useFifoNum

uint32_t CANFD_Object::useFifoNum

Flag to toggle the usage of FIFO 0 and FIFO 1. Valid values are 0 and 1.

## ◆ rxBuffElem

MCAN_RxBufElement CANFD_Object::rxBuffElem

Buffer used to read message RAM.

## ◆ canfdDmaHandle

CANFD_DmaHandle CANFD_Object::canfdDmaHandle

Dma driver handle.

## ◆ canfdDmaChCfg

CANFD_DmaChConfig CANFD_Object::canfdDmaChCfg

Pointer to Dma channel configuration.

## ◆ args

void* CANFD_Object::args

Pointer to be used by application to store miscellaneous data.

Read Transfer Sync Sempahore - to sync between transfer completion ISR and task

## ◆ readTransferSem

void* CANFD_Object::readTransferSem

Read Transfer Sync Sempahore - to sync between transfer completion ISR and task. Transfer Sync Sempahore object

## ◆ readTransferSemObj

SemaphoreP_Object CANFD_Object::readTransferSemObj

Write Transfer Sync Sempahore - to sync between transfer completion ISR and task

## ◆ writeTransferSem

void* CANFD_Object::writeTransferSem

Write Transfer Sync Sempahore - to sync between transfer completion ISR and task. Transfer Sync Sempahore object

## ◆ writeTransferSemObj

SemaphoreP_Object CANFD_Object::writeTransferSemObj

Interrupt handle for controller ISR

## ◆ hwiHandle

void* CANFD_Object::hwiHandle

Interrupt object

## ◆ hwiObj0

HwiP_Object CANFD_Object::hwiObj0

Interrupt object

## ◆ hwiObj1

HwiP_Object CANFD_Object::hwiObj1

## ◆ revId

MCAN_RevisionId CANFD_Object::revId